Bug 987785 - [RFE] Support to configure puppet for Automated Installation
[RFE] Support to configure puppet for Automated Installation
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Ryan Barry
Virtualization Bugs
node
: FutureFeature
Depends On: rebase-ovirt-node-3.1
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 03:26 EDT by haiyang,dong
Modified: 2016-02-10 15:11 EST (History)
19 users (show)

See Also:
Fixed In Version: ovirt-node-3.0.1-10.el6
Doc Type: Enhancement
Doc Text:
The hypervisor only supported configure puppet from the TUI and not auto install. This was caused because previously, keys from kernel args were not converted to valid keys for a model. This has been changed to allow support configure puppet from auto install.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-13 10:05:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sherold: Triaged+


Attachments (Terms of Use)
attached Screenshot for puppet.png (12.03 KB, image/png)
2013-12-16 04:02 EST, haiyang,dong
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20303 None None None Never
oVirt gerrit 22490 master ABANDONED Puppet autoinstall should actually write puppet.conf Never

  None (edit)
Description haiyang,dong 2013-07-24 03:26:20 EDT
Description of problem:
Using edit-node install ovirt-node-plugin-puppet into rhev-h 6.5, check that
currently rhev-h can support configure puppet form TUI, but it doesn't support for Automated installation.
So it would be better if RHEV-H support to configure puppet for Automated Installation 

Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130222.0.auto1744.el6
ovirt-node-3.0.0-999.0.20130719134242gitb6ab8be.el6.noarch

How reproducible:
100%

Steps to Reproduce:


Actual results:
RHEV-H only support to configure puppet form TUI.

Expected results:
It would be better if RHEV-H support to configure puppet for Automated Installation.

Additional info:
Comment 2 Mike Burns 2013-07-24 07:39:55 EDT
auto-install should work for puppet. 

Ryan, can you provide details?
Comment 3 Ryan Barry 2013-08-09 15:26:54 EDT
This should work, with available parameters of:

puppet_enabled
puppet_server
puppet_certname
Comment 8 Cheryn Tan 2013-11-07 19:33:24 EST
This bug is currently attached to errata RHBA-2013:15277. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 9 haiyang,dong 2013-12-16 04:02:32 EST
Created attachment 837153 [details]
attached Screenshot for puppet.png

Test version:
ovirt-node-3.0.1-9.el6_5.noarch.rpm
rhevh-6.5-20131213.0.0.iso
ovirt-node-plugin-puppet-3.0.1-9.el6_5.noarch.rpm

Test as follow:
Using edit-node install ovirt-node-plugin-puppet into rhevh-6.5-20131213.0.0.iso and auto install with this edited iso:
BOOTIF=eth0 storage_init=/dev/sda puppet_enabled=1 puppet_server=dhcp-10-214.nay.redhat.com puppet_certname=dhcp-10-106.nay.redhat.com firstboot

After auto install success, enter into puppet page.Check that configuration info
in TUI page(Seen puppet.png).

But this configuration info was missed in /etc/puppet/puppet.conf
[root@agent2 admin]# cat /etc/puppet/puppet.conf |more
[main]
#    server = ""
#    certname = ""
    # The Puppet log directory.
    # The default value is '$vardir/log'.
    logdir = /var/log/puppet
...

so this bug wasn't fixed in rhevh-6.5-20131213.0.0.iso,need re-assigned this bug again.
Comment 10 haiyang,dong 2014-01-02 01:38:39 EST
Still failed in the follow version:
rhevh-6.5-20131220.0
ovirt-node-3.0.1-13.el6_5.noarch

so need to re-assigned it again
Comment 16 Itamar Heim 2014-06-29 04:30:20 EDT
considering the differences of ovirt-node from plan fedora/rhel - i'd expect some puppet recipes won't work.

what's the use case for puppet with ovirt-node in general, and for this specific case?
Comment 17 Graeme Gillies 2014-06-29 18:35:00 EDT
I am not the original requester but I know getting puppet support for ovirt-node/rhevh is very important to us and I believe a number of Operations groups.

The ability for us to automatically configure parts of the sytem (even just passwords) is very ideal. Noone likes having to go onto 20+ hypervisors and use the ncurses menu to reconfigure systems/change passwords everytime a password rotation is needed.

Us sysadmins love automation :) Ideally RHEV itself would provide a general scripting/automation platform, but being able to work into our existing workflow using puppet would be great. Even being able to use puppet to fire off "build finish" messages to foreman and eventually satellite 6 will be something useful, as people will expect to be able to do full automated pxe installs of rhevh through those tools.

Hope this helps,

Regards,

Graeme
Comment 18 haiyang,dong 2014-07-01 22:32:46 EDT
(In reply to Itamar Heim from comment #16)
> considering the differences of ovirt-node from plan fedora/rhel - i'd expect
> some puppet recipes won't work.
> 
> what's the use case for puppet with ovirt-node in general, and for this
> specific case?

Since it has supported to configure puppet from the TUI.This case just want allow support configure puppet from auto install via "puppet_server=xxx" and "puppet_certname=xxx" parameters
Comment 19 Fabian Deutsch 2014-07-02 14:16:02 EDT
Thanks for your input, Graeme. And that - automation and fitting into a deployment - is the reason why we started this.

Itamar, the idea is to provide some "high-level" configuration methods . basically exposing RHEV-H's TUI pages via puppet classes.

There are actually dedicated puppet classes for RHEV-H/Node which will leverage our own logic (not the stock classes) to configure a host.
Comment 20 Itamar Heim 2014-07-02 14:26:36 EDT
yes, just need to make it clear "normal" puppet classes aren't going to work since rhev-h is different than RHEL (lack of some rpm/files, need to persist changes, etc.)
Comment 21 Doron Fediuck 2015-04-13 10:05:18 EDT
Closing old RFEs.
Currently no intention to support puppet as there are other ways to
handle RHEV-H automation.

Note You need to log in before you can comment on or make changes to this bug.